#%%global cvs_date 20070224
#%%global momorel 0.%{cvs_date}.%{rel}
#%%global rel 6 
%global momorel 1
%global manver 21-2.8
%global gnuserv_version 3.12.7

Name: emacs
Summary: GNU Emacs editor

### include local configuration
%{?include_specopt}
### default configurations
#  If you'd like to change these configurations, please copy them to
# ~/rpm/specopt/emacs.specopt and edit it.
%{?!with_gtk: %global with_gtk 1}
%{?!with_sound: %global with_sound 1}

Version: 22.3
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/Editors
URL: http://www.gnu.org/directory/emacs.html

#Source0: ftp://alpha.gnu.org/gnu/emacs/pretest/%{name}-%{version}.tar.gz
Source0: ftp://ftp.gnu.org/gnu/emacs/%{name}-%{version}.tar.gz
NoSource: 0
%global srcname %{name}-%{version}

### emacs22:
### cvs -z3 -d:pserver:anonymous@cvs.sv.gnu.org:/cvsroot/emacs co emacs
###
### emacs23:
### cvs -z3 -d:pserver:anonymous@cvs.sv.gnu.org:/cvsroot/emacs co -r emacs-unicode-2 emacs

#%%global srcname %{name}-%{version}-cvs-%{cvs_date}
#Source0: %{srcname}.tar.bz2

Source2: ftp://ftp.gnu.org/pub/gnu/emacs/elisp-manual-%{manver}.tar.gz 
NoSource: 2
Source3: http://meltin.net/hacks/emacs/src/gnuserv-%{gnuserv_version}.tar.gz 
NoSource: 3

Source10: emacs.png
%global S_emacs_png %{S:10}
Source11: emacs.desktop
%global S_emacs_desktop %{S:11}
Source12: dot.emacs
%global S_dot_emacs %{S:12}
Source13: dot.Xdefaults
%global S_dot_Xdefaults %{S:13}

Patch0: gnuserv-del-strerror.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: libICE-devel, libSM-devel, libX11-devel, libXcursor-devel
BuildPreReq: libXext-devel, libXfixes-devel, libXft-devel, libXi-devel
BuildPreReq: libXinerama-devel, libXpm-devel, libXrandr-devel, libXrender-devel
BuildPreReq: libjpeg-devel, libtiff-devel, libpng-devel >= 1.2.2
BuildPreReq: libungif-devel
%if %{with_gtk}
PreReq: chkconfig
BuildPreReq: gtk+-devel
BuildRequires: cairo-devel
Requires: gtk2 atk
%endif
%if %{with_sound}
BuildPreReq: alsa-lib-devel
Requires: alsa-lib
%endif

Provides: emacsen
Provides: emacs-common
Obsoletes: mule-canna, mule-canna-X11, mule-canna-nox, mule-canna-el
Obsoletes: mule-wnn, mule-wnn-X11, mule-wnn-nox, mule-wnn-el

%description
This is Emacs %{version}.

%prep
%setup -q -n %{srcname}
%setup -q -T -D -a 2 -a 3 -n %{srcname}
%patch0 -p0 -b .strerror

# for gnuserv
(
  cd gnuserv-%{gnuserv_version}
  cp ChangeLog ../gnuserv.ChangeLog
  cp README ../gnuserv.README
  cp README.orig ../etc/gnuserv.README
)

%build
%global _libexecdir %{_libdir}
%configure \
  --with-x \
  --with-gcc \
  --with-pop \
%if %{with_sound}
  --with-sound \
%else
  --without-sound \
%endif
%if %{with_gtk}
  --with-gtk \
%else
  --without-gtk \
%endif
  --with-xpm \
  --with-jpeg \
  --with-tiff \
  --with-gif \
  --with-png \
  --with-xtoolkit-scroll-bars

# Can't build leim under UTF-8 locale.
export LANG=C

# Parallel build shall fail!
# please use make -j1
%undefine _smp_mflags
#%%make bootstrap
make bootstrap

# for gnuserv
(
  cd gnuserv-%{gnuserv_version}
  %configure \
    --enable-xauth \
    --with-x \
    --x-includes=%{_prefix}/include \
    --x-libraries=%{_libdir}
  %make EMACS=`pwd`/../src/emacs EMACSLOADPATH=`pwd`/../lisp
)

%install
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%makeinstall libexecdir=%{buildroot}/%{_libdir}

# for gnuserv
(
  cd gnuserv-%{gnuserv_version}
  %makeinstall \
    libexecdir=%{buildroot}/%{_libdir} \
    man1dir=%{buildroot}%{_mandir}/man1

  %__mv %{buildroot}%{_bindir}/gnu* \
    %{buildroot}%{_libdir}/%{name}/%{version}/%{_arch}-momonga-linux/
  %__mv %{buildroot}%{_mandir}/man1/gnu* \
    %{buildroot}%{_libdir}/%{name}/%{version}/%{_arch}-momonga-linux/

  %__install -m 0644 *.el *.elc \
    %{buildroot}%{_datadir}/%{name}/%{version}/lisp
)

%__mv %{buildroot}%{_bindir}/{b2m,ctags,etags,rcs-checkin} \
  %{buildroot}%{_libdir}/%{name}/%{version}/%{_arch}-momonga-linux/
%__mv %{buildroot}%{_mandir}/man1/{ctags.1,etags.1} \
  %{buildroot}%{_libdir}/%{name}/%{version}/%{_arch}-momonga-linux/

# no need for this
%__rm -f %{buildroot}%{_infodir}/dir
%__rm -rf %{buildroot}/var

## for GNOME / KDE Desktop
%__mkdir -p %{buildroot}%{_datadir}/applications
%__install -m 0644 %{S_emacs_desktop} %{buildroot}%{_datadir}/applications/

%__mkdir -p %{buildroot}%{_datadir}/pixmaps
%__install -m 0644 %{S_emacs_png} %{buildroot}%{_datadir}/pixmaps/


# for elisp manual
(
  cd elisp-manual-%{manver}
  %__install -m 0644 elisp elisp-* %{buildroot}%{_infodir}
)

# for config-sample
%__mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
%__install -m 0644 %{S_dot_emacs} %{buildroot}%{_datadir}/config-sample/%{name}
%__install -m 0644 %{S_dot_Xdefaults} %{buildroot}%{_datadir}/config-sample/%{name}


%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%post
for bin in b2m ctags etags rcs-checkin gnuattach gnuclient gnudoit; do
  path=%{_libdir}/%{name}/%{version}/%{_arch}-momonga-linux/${bin}
  %{_sbindir}/alternatives --install %{_bindir}/${bin} ${bin} ${path} 70
done

# backward compatibility
/sbin/install-info --quiet --delete %{_infodir}/cc-mode %{_infodir}/dir

# install info files
for name in emacs info ada-mode autotype  cl dired-x ebrowse \
    ediff efaq eudc forms mh-e pcl-cvs \
    reftex sc vip viper widget woman elisp
do
  if [ -f %{_infodir}/${name}.bz2 ] ; then
    relname=${name}.bz2
  elif [ -f %{_infodir}/${name}.gz ] ; then
    relname=${name}.gz
  else
    relname=${name}
  fi
  /sbin/install-info %{_infodir}/${relname} %{_infodir}/dir --section="Emacs"
done

/sbin/install-info %{_infodir}/ccmode.* %{_infodir}/dir --section="Emacs" \
  --entry="* CC Mode: (ccmode).      Emacs mode for editing C, C++, Objective-C, Java, Pike, and IDL code."

%preun
if [ "$1" = 0 ]; then

# uninstall info files
  for name in emacs info ada-mode autotype ccmode cl dired-x ebrowse \
    ediff efaq eudc forms mh-e pcl-cvs \
    reftex sc vip viper widget woman elisp
  do
  if [ -f %{_infodir}/${name}.bz2 ] ; then
    relname=${name}.bz2
  elif [ -f %{_infodir}/${name}.gz ] ; then
    relname=${name}.gz
  else
    relname=${name}
  fi
    /sbin/install-info --delete %{_infodir}/${relname} %{_infodir}/dir \
      --section="Emacs"
  done

fi

%postun
for bin in b2m ctags etags rcs-checkin gnuattach gnuclient gnudoit; do
  path=%{_libdir}/%{name}/%{version}/%{_arch}-momonga-linux/${bin}
  [ -e ${path} ] || %{_sbindir}/alternatives --remove ${bin} ${path}
done

%files
%defattr(-, root, root)
%doc BUGS ChangeLog INSTALL README gnuserv.*
%{_bindir}/*
%{_libdir}/emacs
%{_datadir}/applications/emacs.desktop
%{_datadir}/config-sample/%{name}
%{_datadir}/emacs
%{_datadir}/pixmaps/emacs.png
%{_infodir}/*
%{_mandir}/*/*

%changelog
* Sun Sep  7 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (22.3-1m)
- update to 22.3

* Wed Aug 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (22.2-3m)
- del Requires: gtk+-common

* Mon Apr 21 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (22.2-2m)
- [SECURITY] CVE-2008-1694
- add Patch1: emacs-22.2-CVE-2008-1694.patch

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (22.2-1m)
- update to 22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.1-8m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (22.1-7m)
- %%NoSource -> NoSource

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (22.1-6m)
- rebuild against perl-5.10.0-1m

* Sat Dec  1 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (22.1-5m)
- fixed alternatives

* Fri Nov 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (22.1-4m)
- revised alternatives

* Mon Nov  5 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (22.1-3m)
- [SECURITY] CVE-2007-5795
- <http://secunia.com/advisories/27508/>
- add Patch1: emacs-22.1-CVE-2007-5795.patch

* Wed Jun 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.1-2m)
- add kludge hack "Provides: emacs-common" for package dependency

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.1-1m)
- update

* Sat May 19 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (22.0.96-2m)
- rebuild against glibc-2.6

* Mon May 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.990-1m)
- update

* Tue Apr 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.99-1m)
- update

* Tue Apr 17 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.98-1m)
- update

* Wed Apr  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.97-1m)
- update

* Fri Mar 23 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.96-1m)
- update

* Sun Mar 04 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.95-1m)
- update

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.94-1m)
- update
- No NoSource

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.93-0.20070126.1m)
- cvs update

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.92-0.20061221.1m)
- cvs update

* Wed Nov 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.91-0.20061122.1m)
- cvs update

* Wed Nov 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.91-0.20061121.1m)
- cvs update

* Wed Nov 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.90-0.20061114.1m)
- cvs update

* Sun Nov  5 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (22.0.90-0.20061028.2m)
- enable sound support explicitly.
-- add BuildPreReq and Requires tags for alsa-lib
-- add configure option: --with-sound
-- add specopt: with_sound
- fix alternatives

* Sat Oct 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.90-0.20061028.1m)
- cvs update

* Sat Oct 21 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.20061021.1m)
- cvs update

* Sun Jul 10 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (22.0.50-0.20060313.3m)
- add %%{?include_specopt}
- ctags and etags are now handled by alternatives.

* Tue Jun 27 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (22.0.50-0.20060313.2m)
- add gnuserv-del-strerror.patch
- gnus come-back

* Tue Mar 14 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.20060313.1m)
- cvs update

* Thu Jan 04 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.20060103.1m)
- cvs update

* Thu Dec 22 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (22.0.50-0.20051222.1m)
- cvs update

* Fri Nov 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.200501118.1m)
- cvs update

* Sun Oct 16 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.200501015.1m)
- cvs update

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.20050514.1m)
- cvs update
- add BuildRequires: cairo-devel

* Sun Mar 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.20050319.1m)
- cvs update

* Thu Mar 03 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.20050303.1m)
- cvs update

* Sat Feb 11 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (22.0.50-0.20050211.1m)
- update to 22.0.50

* Sat Jan 22 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (21.3.50-0.20041123.5m)
- set %%undefine _smp_mflags before first %%make

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (21.3.50-0.20041123.4m)
- import new emacs.desktop from Fedora Core

* Sun Dec  5 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (21.3.50-0.20041123.3m)
- add Requires: gtk+ gtk+-common atk for use
  libgtk-x11-2.0.so.0
  libatk-1.0.so.0
  libgdk_pixbuf-2.0.so.0

* Sun Dec  5 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (21.3.50-0.20041123.2m)
- modify %%build section for i686

* Tue Nov 23 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (21.3.50-0.20041123m)
- update source tarball.
  cvs check out at 2004-11-23

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (21.3.50-0.20041120m)
- update to cvs version.
  cvs check out at 2004-11-230

* Thu Jul 29 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (21.3-8m)
- remove dependency

* Wed Dec 24 2003 Kenta MURATA <muraken2@nifty.com>
- (21.3-7m)
- gnuserv 3.12.6.

* Tue Dec 23 2003 Kenta MURATA <muraken2@nifty.com>
- (21.3-6m)
- libexecdir.

* Tue Dec 23 2003 Kenta MURATA <muraken2@nifty.com>
- (21.3-5m)
- fix gnuserv build.

* Tue Dec 23 2003 Kenta MURATA <muraken2@nifty.com>
- (21.3-4m)
- includes gnuserv.
- fixes alternatives.

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (21.3-3m)
- work around gcc(3.2.3-9m) internal compiler error

* Fri Oct  3 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (21.3-2m)
- adapt alternatives for b2m and rcs-checkin.

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (21.3-1m)
- version up to 21.3

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (21.2-9m)
- add URL tag
- use macros

* Tue Aug  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (21.2-8m)
- disabling etags symlinks

* Thu Aug  1 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.2-7m)
- Momonga

* Sat Apr 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.2-6k)
- rebuild against libpng-1.2.2

* Wed Mar 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.2-4k)
- remove 'Provides: emacs'

* Tue Mar 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.2-2k)
- emacs-21.2
- elisp-manual-21-2.8
- update I18N_menu.patch that is formerly called fontset.patch
- remove composite.patch that seems to have been merged

* Mon Feb 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (21.1-36k)
- never handle ctags and ctags.1

* Sat Feb  2 2002 Hidetomo Machi <mcHT@kondara.org>
- (21.1-34k)
- modify emacs.desktop (correct Icons file)

* Mon Jan 21 2002 Hidetomo Machi <mcHT@kondara.org>
- (21.1-32k)
- apply browse-url.el patch

* Sat Dec 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (21.1-30k)
- apply composite patch from bitmap-mule-8.5 (Patch5)

* Sun Dec 23 2001 Hidetomo Machi <mcHT@kondara.org>
- (21.1-28k)
- %{manver} is not 21-2.7a but 21-2.7, and SOURCE2 is "%{manver}a"
- apply xim status patch (Patch4)

* Wed Dec 19 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.1-26k)
- remove dotemacs
- add dot.Xdefaults etc

* Tue Dec 11 2001 TABUCHI Takaaki <tab@kondara.org>
- (21.1-24k)
- add dotemacs-0.8.tar.gz

* Tue Dec 11 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.1-22k)
- add a config-sample

* Thu Nov 29 2001 Kazuhiko <kazuhiko@fdiary.net>
- (21.1-20k)
- add elisp-manual

* Sat Nov 10 2001 Hidetomo Machi <mcHT@kondara.org>
- (21.1-18k)
- modify "--x-includes", is not /usr/include but /usr/X11R6/include

* Sat Nov 10 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.1-16k)
- add emacs-21.1-fontset.patch.gz

* Fri Nov  2 2001 Hidetomo Machi <mcHT@kondara.org>
- (21.1-14k)
- remove /usr/share/emacs/etc (never use)

* Tue Oct 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (21.1-12k)
- modify %post and %pre section for install-info, because problem is occured by info.*

* Tue Oct 30 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.1-10k)
- instead of doing "cd src/ ;make ; cd ../elc ; make elc ; cd .. ;make "
  Just do "make bootstrap"

* Mon Oct 29 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.1-8k)
- add BuildPreReq:
- remove nodebug.patch
- remove loadup.patch

* Wed Oct 24 2001 Toru Hoshina <t@kondara.org>
- (21.1-6k)
- add shinpyousei zero patch for PPC.
- I'd like emacs guru to answer why PPC couldn't accept -z nocombreloc.

* Wed Oct 24 2001 Hidetomo Machi <mcHT@kondara.org>
- (21.1-4k)
- use macro in %files
- modify %BuildRoot tag
- change installed icon

* Mon Oct 22 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.1-2k)
- Update to 21.1

* Fri Sep 28 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.106-3k)
- Update to 21.0.106

* Mon Sep 03 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.105-3k)
- Update to 21.0.105
- modify kbdbuffer.patch for 21.0.105

* Mon Jul 16 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.104-3k)
- Update to 21.0.104

* Sun May 13 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.103-3k)
- Update to 21.0.103

* Wed Apr 16 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.102-3k)
- Update to 21.0.102
- modified nodebug.patch

* Wed Apr 04 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.101-3k)
- Update to 21.0.101

* Wed Mar 21 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.100-3k)
- Update to 21.0.100

* Sun Mar 11 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.99-3k)
- Update to 21.0.99

* Sun Feb 18 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.98-3k)
- Update to 21.0.98

* Mon Feb 05 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.97-3k)
- Update to 21.0.97

* Wed Jan 31 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.96-3k)
- Update to 21.0.96
- remove display.patch

* Sun Jan 14 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.95-5k)
- add nodebug.patch

* Thu Jan 11 2001 Toshiro HIKITA <toshi@sodan.org>
- (21.0.95-3k)
- Update to 21.0.95
- remove nodebug.patch
- remove tmprace.patch
- remove dired.patch

* Thu Dec 21 2000 KIM Hyeong Cheol <kim@kondara.org>
- (21.0.94-3k)
- revive nodebug.patch and remove info.patch, and buf.patch
- revised dired.patch.

* Fri Dec 14 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.0.93-3k)
- remove nodebug.patch

* Tue Dec 12 2000 KIM Hyeong Cheol <kim@kondara.org>
- (21.0.92-7k)
- add info patch.

* Wed Dec 06 2000 KIM Hyeong Cheol <kim@kondara.org>
- add buf patch
- add /usr/share/emacs/etc for icons or pixmaps.

* Mon Dec 04 2000 Toshiro HIKITA <toshi@sodan.org>
- (21.0.92-3k)
- fixed SOURCE file name.

* Fri Dec  1 2000 KIM Hyeong Cheol <kim@kondara.org>
- (21.0.92-1k)

* Fri Dec  1 2000 KIM Hyeong Cheol <kim@kondara.org>
- (21.0.91-13k)
- recompile all the lisp files for safety. (this may take 5-10min.)
- revive a patch for dired.el.

* Thu Nov 23 2000 KIM Hyeong Cheol <kim@kondara.org>
- (21.0.91-3k)
- remove gnus again
- apply some temporally patch
- resolve ccmode info files problem(%post)

* Sun Nov 19 2000 KIM Hyeong Cheol <kim@kondara.org>
- (21.0.90-3k)
- clean up spec files.

* Sat Nov 18 2000 KIM Hyeong Cheol <kim@kondara.org>
- (21.0.90-1k)
- many changes :-)
- get back gnus (temporally)

* Wed Nov 15 2000 Toshiro HIKITA <toshi@sodan.org>
- (20.7-17k)
- new patch (emacs-20.7-info.bz2.patch)
- add lisp/info.el for recompile

* Wed Oct 25 2000 Kenichi Matsubara <m@kondara.org>
- info.gz to info.bz2.

* Fri Oct 20 2000 Toshiro HIKITA <toshi@sodan.org>
- (20.7-13k)
- new patch (emacs-20.4-linespace-patch)
- do recompile elc in build section.
- remove all precompiled elc's
- comment out unused Sources:

* Fri Oct 20 2000 Hidetomo Machi <mcHT@kondara.org>
- (20.7-11k)
- new patch (emacs20-xim-20000713.diff)

* Thu Oct 19 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- (20.7-9k)
- removed gnus. instead, we use t-gnus.
- use %{License} instead of %{Copyright}

* Thu Sep 14 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- (20.7-7k)
- add dired.el binary
- using external file for emacs.desktop

* Thu Sep 14 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- (20.7-5mule4.1)
- added emacs-20.7-dired.patch (resolves dired probrem under japanese locale)
- encode spec file with utf-8

* Tue Aug 15 2000 Toshiro HIKITA <toshi@sodan.org>
- Changed to Emacs/Mule-4.1
- added emacs-mule-4.1 patch
- recomplied ange-ftp.elc international/ccl.elc international/mule-cmds.elc \
             international/mule.elc international/titdic-cnv.elc
- removed emcws.patch
- removed Mule-UCS patch
- removed BuildPreReq:
- fixed configure

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Thu Jun 22 2000 TABUCHI Takaaki <tab@kondara.org>
- add extension-for-20_6.patch (Patch22) from Mule-UCS-0.80

* Wed Jun 21 2000 TABUCHI Takaaki <tab@kondara.org>
- version up to 20.7
- update emcws patch for 20.7
- merge from rawhide(20.6-16, 20.7-1) ia64 patch and etc. ,
  but I don't use RedHat's Packaging
  for each Japanese IM(Wnn{4,6},Canna)

* Tue Jun 13 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- Version 20.7
- Add requirement for final newline to the default .emacs
- redid the Xaw3d patch
- checked all patches, discarded those we've upstreamed

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- edit japanese patch not to patch configure
- fixed a missing escaped " in a wc string
- merge japanese support to head of development

* Wed Jun 07 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- use %%{_mandir} and %%{_infodir}

* Fri Jun  2 2000 Bill Nottingham <notting@redhat.com>
- add yet another ia64 patch

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- add another ia64 patch

* Fri May 19 2000 Trond Eivind Glomsrnd <teg@redhat.com>
- Disabled the compile patch for 20.6

* Thu May 18 2000 Bill Nottingham <notting@redhat.com>
- add in ia64 patch

* Thu May 18 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- don't apply the unexelf patch - use a new unexelf.c file
  from the 21 source tree (this will go into the 20.7 tree)

* Wed May 17 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- added patch by jakub to make it work with glibc2.2

* Mon May 08 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- fixed a problem with ange-ftp and kerberized ftp

* Mon May 08 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Xaw3d

* Thu Apr 20 2000 TABUCHI Takaaki <tab@kondara.org>
- add security patch.

* Thu Apr 20 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- let the build system handle gzipping man pages and stripping
- added patch to increase keyboard buffer size

* Thu Apr 20 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- gzip man pages

* Thu Apr 20 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- added a security patch from RUS-CERT, which fixes
  bugs mentioned in "Advisory 200004-01: GNU Emacs 20"

* Tue Apr 18 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- patched to detect bash2 scripts.

* Thu Apr 06 2000 Trond Eivind Glomsr~~~d <teg@redhat.com>
- removed configuraton file status from /usr/share/pixmaps/emacs.png

* Sat Mar 11  2000 TABUCHI Takaaki <tab@kondara.org>
- merge kondara 20.5's fixes.

* Fri Mar 10  2000 Hidetomo Machi <mcHT@kondara.org>
- avoid to conflict with xemacs packages's files (look this spec)
- add emacs.spec and emacs-old.png(from gnome-core-1.0.55.tar.gz)
- remove "mule" from Provides tag
- modified reference of Emacs info

* Mon Feb 28 2000 TABUCHI Takaaki <tab@kondara.org>
- version up to 20.6

* Wed Feb 23 2000 Hidetomo Machi <mcHT@kondara.org>
- fix spec file

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- add .emacs make the delete key work to delete forward character for X ver.

* Wed Feb 16 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #2988
- recompile patched .el files (suggested by Pavel.Janik@linux.cz)
- prereq /sbin/install-info

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig gone

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary
- fix permissions for emacs niaries (what the hell does 1755 means for a
  binary?)
- added missing, as per emacs Changelog, NCURSES_OSPEED_T compilation
  flag; without it emacs on Linux is making global 'ospeed' short which
  is not the same as 'speed_t' expected by libraries. (reported by Michal
  Jaegermann <michal@harddata.com>)

* Sat Jan 29 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Mon Jan 10 2000 David S. Miller <davem@redhat.com>
- Revert src/unexecelf.c to 20.4 version, fixes SPARC problems.

* Tue Dec 27 1999 TABUCHI Takaaki <tab@kondara.org>
- add Canna-devel at BuildPreReq

* Sun Dec 19 1999 TABUCHI Takaaki <tab@kondara.org>
- upgrade 20.5a.
- Update cws patch (emcws-20.5-19991210.gz).

* Thu Dec  9 1999 TABUCHI Takaaki <tab@kondara.org>
- Use cws patch (emcws-20.5-19991208.gz).
- Add BuildPreReq (Canna,libwnn6,libwnn6-devel)
- Obsolete timezone.el{,c}

* Wed Dec  8 1999 TABUCHI Takaaki <tab@kondara.org>
- upgrade 20.5.
- add RPM_OPT_FLAGS.
- change BuildRoot.
- delete leim's version , use same version of emacs.

* Sun Dec  5 1999 Hidetomo Hosono <h@kondara.org>
- restart making filelist.

* Sun Dec  5 1999 Hidetomo Hosono <h@kondara.org>
- bug fix in %post phase.

* Sun Dec  5 1999 Hidetomo Hosono <h@kondara.org>
- add phase of renaming etags and b2m to getags and gb2m.

* Sun Dec  5 1999 Hidetomo Hosono <h@kondara.org>
- Change the category.
- Remove the unnesessary comment lines.
- re-format.
- using %defattr
- stop making filelist (I think filelist in this file is the easier way) .

* Sat Dec  4 1999 Hidetomo Hosono <h@kondara.org>
- Pachire Melos version, thanks for VineSeed Developers ;^) .
- Be a NoSrc :-P .

* Wed Dec  1 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- [emacs-20.4-14]
- Change Group to Applications/Editors/Emacs

* Sat Nov  6 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- [emacs-20.4-13]
- included Y2K savvy timezone.{el,elc},
  modified by Mr. Youichi Teranishi <teranishi@gohome.org>

* Tue Oct 12 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- [emacs-20.4-12]
- Modified info-dir.
- Removed -c option from %setup.

* Sun Sep 20 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- fixed XIM support patch
* Sun Sep 19 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- fixed postinst bug and fontset patch
* Sun Jul 18 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- first build
